libaqbanking (6.9.1-1) unstable; urgency=medium

  * New upstream version 6.9.1.

 -- Micha Lenk <micha@debian.org>  Mon, 12 Jan 2026 21:56:38 +0100

libaqbanking (6.8.4-1) unstable; urgency=medium

  * New upstream version 6.8.4.

 -- Micha Lenk <micha@debian.org>  Mon, 22 Dec 2025 12:27:07 +0100

libaqbanking (6.8.3-1) unstable; urgency=medium

  * New upstream version 6.8.3.

 -- Micha Lenk <micha@debian.org>  Sun, 14 Dec 2025 22:28:21 +0100

libaqbanking (6.8.2-1) unstable; urgency=medium

  * New upstream version 6.8.2.
  * d/control: Build-Depends on libgwenhywfar 5.14 or newer for build.

 -- Micha Lenk <micha@debian.org>  Wed, 10 Dec 2025 17:58:22 +0100

libaqbanking (6.7.16beta-1) unstable; urgency=medium

  * New upstream version 6.7.16beta.
  * debian/libaqbanking44.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Sun, 07 Dec 2025 12:56:51 +0100

libaqbanking (6.7.14beta-1) unstable; urgency=medium

  * New upstream version 6.7.14beta

 -- Micha Lenk <micha@debian.org>  Mon, 01 Dec 2025 20:21:02 +0100

libaqbanking (6.7.11beta-1) unstable; urgency=medium

  * New upstream version 6.7.11beta (closes: #1121494, #1121136).
  * debian/gbp.conf: Fix branches in d/gbp.conf.

 -- Micha Lenk <micha@debian.org>  Fri, 28 Nov 2025 20:40:58 +0100

libaqbanking (6.7.7beta-2) unstable; urgency=medium

  * Upload to Debian unstable.

 -- Micha Lenk <micha@debian.org>  Sun, 26 Oct 2025 10:23:19 +0100

libaqbanking (6.7.7beta-1) experimental; urgency=medium

  * New upstream version 6.7.7beta.
  * debian/libaqbanking44.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Mon, 20 Oct 2025 20:58:21 +0200

libaqbanking (6.7.4beta-1) experimental; urgency=medium

  * New upstream version 6.7.4beta (closes: #1117791).
  * debian/watch: Filter out testing versions with a hyphen in the version string.
  * Add debian/gbp.conf for easier package management on experimental branch.

 -- Micha Lenk <micha@debian.org>  Fri, 17 Oct 2025 22:23:25 +0200

libaqbanking (6.6.2beta-1) unstable; urgency=medium

  * New upstream version 6.6.2beta.
  * Package is compliant to Debian Policy 4.7.2 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 14 Sep 2025 20:10:10 +0200

libaqbanking (6.6.1-2) unstable; urgency=medium

  * First upload to unstable after the release of trixie.

 -- Micha Lenk <micha@debian.org>  Sun, 07 Sep 2025 14:25:11 +0200

libaqbanking (6.6.1-1) experimental; urgency=medium

  * New upstream version 6.6.1

 -- Micha Lenk <micha@debian.org>  Sun, 03 Aug 2025 15:48:28 +0200

libaqbanking (6.6.0-1) unstable; urgency=medium

  * New upstream version 6.6.0.

 -- Micha Lenk <micha@debian.org>  Wed, 18 Dec 2024 22:46:22 +0100

libaqbanking (6.5.12beta-1) unstable; urgency=medium

  * New upstream version 6.5.12beta.

 -- Micha Lenk <micha@debian.org>  Tue, 23 Jul 2024 18:06:39 +0200

libaqbanking (6.5.11beta-1) unstable; urgency=medium

  * New upstream version 6.5.11beta.

 -- Micha Lenk <micha@debian.org>  Mon, 03 Jun 2024 20:42:10 +0200

libaqbanking (6.5.10beta-1) unstable; urgency=medium

  * New upstream version 6.5.10beta.

 -- Micha Lenk <micha@debian.org>  Thu, 30 May 2024 16:50:48 +0200

libaqbanking (6.5.9beta-1) unstable; urgency=medium

  * New upstream version 6.5.9beta.
  * Package is compliant to Debian Policy 4.7.0 (no changes needed).
  * d/control: Tighten versioned build dependency on libgwenhywfar as
    required by ./configure.

 -- Micha Lenk <micha@debian.org>  Sun, 12 May 2024 15:35:14 +0200

libaqbanking (6.5.8beta-1) unstable; urgency=medium

  * New upstream version 6.5.8beta.
  * debian/rules: Build with --disable-silent-rules for verbose build logs.
  * debian/control: Switch build dependency from pkg-config to pkgconf.

 -- Micha Lenk <micha@debian.org>  Mon, 01 Apr 2024 12:47:05 +0200

libaqbanking (6.5.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Micha Lenk <micha@debian.org>  Wed, 23 Aug 2023 11:50:00 +0200

libaqbanking (6.5.4-1) experimental; urgency=medium

  * New upstream version 6.5.4.
  * aqbanking-tools: Add new binary aqofxconnect-tool.
  * debian/control: Bump standards version to 4.6.2 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Wed, 05 Apr 2023 21:18:16 +0200

libaqbanking (6.5.3-1) unstable; urgency=medium

  * New upstream version 6.5.3.
  * Drop obsolete build dependency on libktoblzcheck1-dev (no longer required).
  * debian/control: Bump build-dep on libgwenhywfar version to >= 5.8.3.
  * debian/control: Bump standards version to 4.6.1 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Thu, 11 Aug 2022 21:34:27 +0200

libaqbanking (6.5.0-1) unstable; urgency=medium

  [ Micha Lenk ]
  * New upstream version 6.5.0.
  * debian/libaqbanking44.symbols: Add new symbols.
  * README.keyfile-update: Drop paragraph referencing old AqBanking manual.
    The referenced old AqBanking manual version contained a section about how to
    update an OpenHBCI keyfile. Recent versions of the AqBanking manual don't have
    this section anymore (closes: #1005136).

  [ Debian Janitor ]
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

 -- Micha Lenk <micha@debian.org>  Fri, 01 Apr 2022 22:00:19 +0200

libaqbanking (6.4.3beta-1) unstable; urgency=medium

  * New upstream version 6.4.3beta.
  * debian/control: Switch build dependency from virtual package libgmp10-dev
    to real package libgmp-dev.

 -- Micha Lenk <micha@debian.org>  Sun, 16 Jan 2022 20:42:24 +0100

libaqbanking (6.4.1-1) unstable; urgency=medium

  * New upstream version 6.4.1

 -- Micha Lenk <micha@debian.org>  Thu, 16 Dec 2021 13:39:43 +0100

libaqbanking (6.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster.

  [ Micha Lenk ]
  * New upstream version 6.4.0.
  * debian/libaqbanking44.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Wed, 17 Nov 2021 22:30:59 +0100

libaqbanking (6.3.2-1) unstable; urgency=medium

  * New upstream version 6.3.2.
  * debian/watch: Look for signature file too.
  * debian/control: Bump standards version to 4.6.0 (no changes needed).

 -- Micha Lenk <micha@debian.org>  Sun, 19 Sep 2021 16:58:33 +0200

libaqbanking (6.3.1-1) unstable; urgency=medium

  * New upstream version 6.3.1.
  * Fixes bogus --number parameter of aqbanking-cli tool (closes: #993878).
  * debian/libaqbanking44.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Sat, 11 Sep 2021 21:23:16 +0200

libaqbanking (6.3.0-1) unstable; urgency=medium

  * New upstream version 6.3.0.
  * debian/libaqbanking44.symbols: Add new symbols.

 -- Micha Lenk <micha@debian.org>  Sun, 15 Aug 2021 16:22:38 +0200

libaqbanking (6.2.10-1) unstable; urgency=medium

  * New upstream version 6.2.10.
  * debian/tests: Add minimal compile and execute testcase.

 -- Micha Lenk <micha@debian.org>  Thu, 11 Mar 2021 16:16:41 +0100

libaqbanking (6.2.9-1) unstable; urgency=medium

  * New upstream version 6.2.9.
  * Drop 0001-AqHBCI-Remove-trailing-blanks-in-mimetype.patch
    (applied upstream).

 -- Micha Lenk <micha@debian.org>  Tue, 23 Feb 2021 13:18:16 +0100

libaqbanking (6.2.8-1) unstable; urgency=medium

  * New upstream version 6.2.8.
  * Add 0001-AqHBCI-Remove-trailing-blanks-in-mimetype.patch to fix
    occasionally hidden TAN images.
  * debian/control:
    - Bump required version of libgwenhywfar to 5.6.0 or higher.
    - Bump standards version to 4.5.1 (no changes needed).
    - Bump debhelper compatibility level to 13.
    - libaqbanking-dev no longer depends on/enhances debhelper. This was a left
      over of the debhelper sequence helper for AqBanking, which no longer
      exists.
  * debian/not-installed: Let dh_missing know which files to ignore.
    Additionally re-work the list of installed documentation files.

 -- Micha Lenk <micha@debian.org>  Mon, 22 Feb 2021 13:09:10 +0100

libaqbanking (6.2.5-1) unstable; urgency=medium

  * New upstream version 6.2.5.

 -- Micha Lenk <micha@debian.org>  Tue, 06 Oct 2020 09:28:02 +0200

libaqbanking (6.2.2-1) unstable; urgency=medium

  * New upstream version 6.2.2.

 -- Micha Lenk <micha@debian.org>  Sun, 19 Jul 2020 20:28:45 +0200

libaqbanking (6.2.1-1) unstable; urgency=medium

  * New upstream version 6.2.1.
  * debian/libaqbanking44.symbols: Add new symbols.
  * Drop nowadays unused Debhelper sequence extension dh_aqbanking.
  * Stop shipping aqbanking-config to better support multi-arch builds.
    Packages still using it should transition to use pkg-config instead.
  * libaqbanking-dev: Mark as Multi-Arch: same.

 -- Micha Lenk <micha@debian.org>  Fri, 26 Jun 2020 22:03:27 +0200

libaqbanking (6.1.4-1) unstable; urgency=medium

  [ Micha Lenk ]
  * New upstream version 6.1.4.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Micha Lenk <micha@debian.org>  Sat, 16 May 2020 23:44:38 +0200

libaqbanking (6.1.3-1) unstable; urgency=medium

  * New upstream version 6.1.3.
  * debian/salsa-ci.yml: No longer set RELEASE to 'experimental'.
  * debian/rules: Enable Paypal backend (Closes: #950500).
  * debian/watch: Fix regex to match stable releases too.
  * debian/control: Bump standards version to 4.5.0 (no changes needed).
  * Migrate manpage generation from asciidoc to asciidoctor.
  * Update aqhbci-tool4.1 manpage (Closes: #954342).
  * debian/libaqbanking44.symbols: Add new symbols.
  * Switch from debhelper 9 to debhelper 12.
  * debian/upstream: Add upstream's signing key. Unfortunately I haven't found
    a way yet to use it in debian/watch.

 -- Micha Lenk <micha@debian.org>  Sat, 21 Mar 2020 22:38:37 +0100

libaqbanking (6.0.1-2) unstable; urgency=medium

  * Upload to Debian unstable.

 -- Micha Lenk <micha@debian.org>  Fri, 24 Jan 2020 22:15:15 +0100

libaqbanking (6.0.1-1) experimental; urgency=medium

  * New upstream version 6.0.1.
  * debian/control:
    - Bump soname 43 -> 44.
    - Bump version in build-dep on libgwenhywfar to enforce use of the most
      recent upload in builds.

 -- Micha Lenk <micha@debian.org>  Mon, 20 Jan 2020 22:57:04 +0100

libaqbanking (5.99.45-1) experimental; urgency=medium

  * New upstream version 5.99.45.
  * Dropped patch 0001-Drop-obsolete-pkg-config-variables-for-qbanking.patch
    (applied upstream).
  * Bump version in build-dependency on libgwenhywfar as mandated by the
    upstream build system.
  * debian/salsa-ci.yml: Set RELEASE to 'experimental'.

 -- Micha Lenk <micha@debian.org>  Sun, 19 Jan 2020 14:14:36 +0100

libaqbanking (5.99.44beta-1) unstable; urgency=medium

  * New upstream version 5.99.44beta.
  * debian/watch: Updated to new file location.
  * debian/patches: Dropped reproducible_build.patch (applied upstream).
  * debian/libaqbanking43.symbols: Add symbol
    AB_Gui_SetCliCallbackForOpticalTan.
  * debian/control: Bump standards version to 4.4.1 (no changes needed).
  * Add 0001-Drop-obsolete-pkg-config-variables-for-qbanking.patch to fix
    Lintian error pkg-config-bad-directive.

 -- Micha Lenk <micha@debian.org>  Sun, 12 Jan 2020 22:19:14 +0100

libaqbanking (5.99.43beta-2) unstable; urgency=medium

  * debian/salsa-ci.yml: Enable diffoscope in reprotest.
  * Add patch reproducible_build.patch to fix build failure in reprotest.
  * Don't fold errors on STDERR into aqhbci-tool4 manpage.  The error logged on
    STDERR contains a timestamp, which causes the resulting manpage to be
    non-reproducible.  That aside, the error shouldn't have been rendered as
    part of the man page anyways.
  * debian/NEWS: Add some user hints for manual steps required after upgrade.

 -- Micha Lenk <micha@debian.org>  Tue, 05 Nov 2019 21:52:48 +0100

libaqbanking (5.99.43beta-1) unstable; urgency=medium

  * New upstream version 5.99.43beta.
  * debian/control: Bump version of build-dependency on libgwenhywfar.

 -- Micha Lenk <micha@debian.org>  Sun, 03 Nov 2019 21:56:07 +0100

libaqbanking (5.99.40beta-1) experimental; urgency=medium

  * New upstream version 5.99.40beta
    - Drop patch fix_aqhbci_testlib_dependencies.patch (obsolete).
  * debian/control:
    - Bump soname 35 -> 43.
    - Bump version on Gwenhywfar build dependency.
    - Drop duplicate Section specifications (flagged by Lintian as
      binary-control-field-duplicates-source).
    - Drop binary packages libaqbanking35-plugins, libaqhbci24,
      libaqofxconnect7 and libaqebics0.  The upstream build system doesn't
      create shared libraries anymore. Instead everything is now built as a
      plugin.  As a side effect this greatly simplifies the dependencies so
      that the plugins package can be merged back to the remaining libaqbanking
      library package.
    - Drop package libaqbanking-doc (doesn't build).
    - aqbanking-tools: Add binary aqpaypal-tool.
  * debian/doc/Makefile:
    - Adapt to new location of aqhbci-tool4 binary.
    - Drop obsolete man page for hbcixml3 (binary is gone).
  * debian/rules:
    - Drop generating the API documentation (API documentation package gone).
    - Drop override for dh_strip (dbgsym migration done).
  * Switch to current Salsa CI Team pipeline.
  * debian/libaqpaypal2.*: Deleted (obsolete)
  * aqbanking-tools: Drop disappeared README files for aqhbci-tool and
    aqebics-tool.
  * debian/libaqbanking43.symbols: Updated.
  * debian/*.lintian-overrides: Dropped (obsolete, now flagged by Lintian as
    unused-override).
  * libaqbanking-data: Drop postinst script. We don't ship XML files for AqHBCI
    anymore.
  * debian/changelog: Remove trailing whitespaces

 -- Micha Lenk <micha@debian.org>  Sun, 13 Oct 2019 22:07:27 +0200

libaqbanking (5.8.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Allows passing an application registration code, required by PSD2.
      (Closes: #934905)

 -- Felix Geyer <fgeyer@debian.org>  Sun, 01 Sep 2019 12:32:50 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libaqbanking44`.
